locked
Ajax in Sharepoint 2010 with .Net frame work 3.5 and Visula studio 2010 RRS feed

  • Question

  • I am trying to install ajax in visual studio 2010 to use it in a visual web part.

    I have installed Ajax 3.5 tool kit, added it to the tool box in visual studio.

    Installed AjaxControlToolKit.dll in GAC.

    Added the assembly to web.config file.

    Added the dll reference to the project.

    Added the register tag to .aspx page.

    Add the script manager to the page and tried to use collapsable panel control.

    Now, when I use the script manager I get an error :

    AjaxControlToolkit requires ASP.NET Ajax 4.0 scripts. Ensure the correct version of the scripts are referenced. If you are using an ASP.NET ScriptManager, switch to the ToolkitScriptManager in AjaxControlToolkit.dll.

    So I deleted the script manager from my local page as well as from master page and added the ToolkitScriptManager. And I get the same error.

    Now my question is: What is the version of ajax I should be using? When I use Ajax 4.0, should I use .Net frame work 4.0? For some reason my visual studio doesnot allow me to pick 4.0 frame work. I mean when I create an new project I am able to pick 4.0 but when I go to project properties I see that the frame work is 3.5 and cannot pick 4.0.

     

     

    Thursday, November 15, 2012 1:42 AM

Answers